Mailinglist Archive: opensuse-factory (401 mails)

< Previous Next >
[opensuse-factory] Leap 15.1 Build 424.2 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&version=15.1&build=424.2&groupid=50
https://bugzilla.opensuse.org/buglist.cgi?product=openSUSE%20Distribution&query_format=advanced&resolution=---&version=Leap%2015.1

When you reply to discuss some issues, make sure to change the subject.
Please use the test plan at
https://docs.google.com/spreadsheets/d/1AGKijKpKiJCB616-bHVoNQuhWHpQLHPWCb3m1p6gXPc/edit#gid=94909276
to record your testing efforts and use bugzilla to report bugs.

Packages changed:
NetworkManager
gnuhealth
libstorage-ng (4.1.93 -> 4.1.95)
rdma-core
yast2 (4.1.55 -> 4.1.56)
yast2-auth-client (4.1.0 -> 4.1.1)
yast2-bootloader (4.1.18 -> 4.1.20)
yast2-country (4.1.8 -> 4.1.9)
yast2-hardware-detection (4.0.0 -> 4.1.0)
yast2-installation (4.1.36 -> 4.1.37)
yast2-iscsi-client (4.1.4 -> 4.1.5)
yast2-ldap (4.0.0 -> 4.1.0)
yast2-metapackage-handler (4.0.0 -> 4.1.0)
yast2-network (4.1.39 -> 4.1.42)
yast2-nfs-client (4.1.4 -> 4.1.5)
yast2-nfs-server (4.0.3 -> 4.1.0)
yast2-online-update (4.0.2 -> 4.1.0)
yast2-packager (4.1.27 -> 4.1.29)
yast2-pam (4.0.0 -> 4.1.0)
yast2-perl-bindings (4.0.1 -> 4.1.0)
yast2-printer (4.0.3 -> 4.1.0)
yast2-python-bindings (4.0.9 -> 4.1.0)
yast2-scanner (4.0.3 -> 4.1.0)
yast2-slp (4.0.0 -> 4.1.0)
yast2-storage-ng (4.1.67 -> 4.1.68)
yast2-sudo (4.0.1 -> 4.1.0)
yast2-transfer (4.0.0 -> 4.1.0)
yast2-tune (4.0.2 -> 4.1.0)
yast2-users (4.1.8 -> 4.1.9)
yast2-vpn (4.0.1 -> 4.1.0)
yast2-xml (4.0.0 -> 4.1.0)

=== Details ===

==== NetworkManager ====
Subpackages: NetworkManager-lang libnm-glib-vpn1 libnm-glib4 libnm-util2 libnm0
typelib-1_0-NM-1_0 typelib-1_0-NMClient-1_0 typelib-1_0-NetworkManager-1_0

- Add NM-add-wifi-scan-polkit-rule.patch: Adding a new polkit
action "org.freedesktop.NetworkManager.wifi-scan" so that
distributions can add specific rule to allow Wi-Fi scans
(bsc#1122262, glfo#NetworkManager/NetworkManager!68).

==== gnuhealth ====

- add dependency for bsdtar (gnuhealth-control changed)

==== libstorage-ng ====
Version update (4.1.93 -> 4.1.95)
Subpackages: libstorage-ng-lang libstorage-ng-ruby libstorage-ng1

- merge gh#openSUSE/libstorage-ng#620
- extended documentation
- 4.1.95
- merge gh#openSUSE/libstorage-ng#619
- disable parted-sector-bug workaround on virtio-blk DASDs
(bsc#1112037)
- avoid empty nodes in mockup files
- extended testsuite helper TsCmpActiongraph
- added unit tests
- throw exception based on Exception class
- enable verbose output of checks during build
- 4.1.94

==== rdma-core ====
Subpackages: libibverbs libibverbs1 libmlx4-1 libmlx5-1 librdmacm1

- Add patches to enable Broadcom's 57500 RoCE adapter (bsc#1125651):
- Update-kernel-headers.patch
- bnxt_re-lib-Enable-Broadcom-s-57500-RoCE-adapter.patch

==== yast2 ====
Version update (4.1.55 -> 4.1.56)
Subpackages: yast2-logs

- Use /sbin/rpcinfo only, /usr/sbin/rpcinfo is gone (bsc#1127138).
- Use the correct path for /usr/bin/ifconfig (bsc#1127138).
- 4.1.56

==== yast2-auth-client ====
Version update (4.1.0 -> 4.1.1)

- yast auth-client and krb5.conf wrong domain_realm entry; (bsc#1122026)
- 4.1.1

==== yast2-bootloader ====
Version update (4.1.18 -> 4.1.20)

- remove resume if user wants noresume (bsc#1079537)
- use for resume the biggest mounted swap (bsc#1071354)
- make help text formatting consistent and improve some help texts
- 4.1.20
- Use the correct path for /usr/bin/mkdir (bsc#1127138).
- 4.1.19

==== yast2-country ====
Version update (4.1.8 -> 4.1.9)
Subpackages: yast2-country-data

- Fix OS detection and use correct keyboard file for opensuse
(bsc#1124921).
- Remove incompatible Lithuanian layout from opensuse file.
- 4.1.9

==== yast2-hardware-detection ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-installation ====
Version update (4.1.36 -> 4.1.37)

- copy_files_finish: ensure that /mnt/etc/YaST2 exists (bsc#1127182).
- 4.1.37

==== yast2-iscsi-client ====
Version update (4.1.4 -> 4.1.5)

- fix iBFT handling (bsc#1119698)
- 4.1.5

==== yast2-ldap ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-metapackage-handler ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-network ====
Version update (4.1.39 -> 4.1.42)

- Installation proposal (bsc#1127228, bsc#1124478, bsc#1124498):
- Fixed issue refreshing the list of packages needed for the
default backend the first time the proposal is called.
- Do not cache the default network backend but only the current
one when modified by the user in the proposal
- Fallback to :wicked when saving the network if NetworkManager
is selected as the service to be used but not installed.
- 4.1.42
- When renaming an interface (bsc#1060207):
- Offer to the user the option to update device routes that
belongs to the previous interface name.
- Update the Routing devices list with the new one when needed.
- Do not drop configured elements from the list when canceling
an edition (bsc#998540)
- 4.1.41
- Installation proposal (bsc#1124478, bsc#1124498):
- Do not offer NetworkManager when the package is not available
- Respect the network backend selected in the proposal at the end
of the installation
- Removed the hostname write (127.0.0.2) from the summary
- 4.1.40

==== yast2-nfs-client ====
Version update (4.1.4 -> 4.1.5)

- Use /sbin/rpcinfo only, /usr/sbin/rpcinfo is gone (bsc#1127138).
- 4.1.5

==== yast2-nfs-server ====
Version update (4.0.3 -> 4.1.0)
Subpackages: yast2-nfs-common

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-online-update ====
Version update (4.0.2 -> 4.1.0)
Subpackages: yast2-online-update-frontend

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-packager ====
Version update (4.1.27 -> 4.1.29)

- Use the correct path for /usr/bin/eject (bsc#1127138)
- 4.1.29

==== yast2-pam ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-perl-bindings ====
Version update (4.0.1 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-printer ====
Version update (4.0.3 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-python-bindings ====
Version update (4.0.9 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-scanner ====
Version update (4.0.3 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-slp ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-storage-ng ====
Version update (4.1.67 -> 4.1.68)

- Do not crash when using an old MD RAID schema and the
partition_nr attribute is missing. Instead, do not allow to
continue because a missing value issue (bsc#1126059).
- 4.1.68
- Do not export the partition_type attribute when it belongs to a
GPT partition table (bsc#1115751).

==== yast2-sudo ====
Version update (4.0.1 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-transfer ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Changed dir of COPYING file.
- Switched license in spec file from SPDX2 to SPDX3 format.

==== yast2-tune ====
Version update (4.0.2 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-users ====
Version update (4.1.8 -> 4.1.9)

- Delete remaining dead code for encrypted homes
(bsc#1127138, fate#323541).
- 4.1.9

==== yast2-vpn ====
Version update (4.0.1 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0

==== yast2-xml ====
Version update (4.0.0 -> 4.1.0)

- Version bump (bsc#1124009)
- 4.1.0
- Added license file to spec.
- Switched license in spec file from SPDX2 to SPDX3 format.


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages